OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Capability

Description

This is a purely internal module for handling OpenGL capabilities, i.e. boolean state variables.

# Documentation

data Capability

Constructors

Disabled |
Enabled |

Instances

Eq Capability |
Ord Capability |
Show Capability |

marshalCapability :: Capability -> GLboolean

unmarshalCapability :: GLboolean -> Capability

data EnableCap

Constructors

CapFog |
CapLighting |
CapTexture1D |
CapTexture2D |
CapTextureRectangle |
CapLineStipple |
CapPolygonStipple |
CapCullFace |
CapAlphaTest |
CapBlend |
CapIndexLogicOp |
CapColorLogicOp |
CapDither |
CapStencilTest |
CapDepthTest |
CapClipPlane GLsizei |
CapLight GLsizei |
CapTextureGenS |
CapTextureGenT |
CapTextureGenR |
CapTextureGenQ |
CapMap1Vertex3 |
CapMap1Vertex4 |
CapMap1Color4 |
CapMap1Index |
CapMap1Normal |
CapMap1TextureCoord1 |
CapMap1TextureCoord2 |
CapMap1TextureCoord3 |
CapMap1TextureCoord4 |
CapMap2Vertex3 |
CapMap2Vertex4 |
CapMap2Color4 |
CapMap2Index |
CapMap2Normal |
CapMap2TextureCoord1 |
CapMap2TextureCoord2 |
CapMap2TextureCoord3 |
CapMap2TextureCoord4 |
CapPointSmooth |
CapLineSmooth |
CapPolygonSmooth |
CapScissorTest |
CapColorMaterial |
CapNormalize |
CapAutoNormal |
CapPolygonOffsetPoint |
CapPolygonOffsetLine |
CapPolygonOffsetFill |
CapVertexArray |
CapNormalArray |
CapColorArray |
CapIndexArray |
CapTextureCoordArray |
CapEdgeFlagArray |
CapFogCoordArray |
CapSecondaryColorArray |
CapMatrixIndexArray |
CapConvolution1D |
CapConvolution2D |
CapSeparable2D |
CapHistogram |
CapMinmax |
CapRescaleNormal |
CapSharedTexturePalette |
CapTexture3D |
CapMultisample |
CapSampleAlphaToCoverage |
CapSampleAlphaToOne |
CapSampleCoverage |
CapColorTable |
CapPostConvolutionColorTable |
CapPostColorMatrixColorTable |
CapColorSum |
CapTextureCubeMap |
CapWeightSumUnity |
CapVertexBlend |
CapWeightArray |
CapMatrixPalette |
CapDepthClamp |
CapDepthBoundsTest |
CapPrimitiveRestart |
CapPointSprite |
CapStencilTestTwoSide |
CapRasterPositionUnclipped |
CapRasterizerDiscard |
CapTextureColorTable |
CapVertexProgramPointSize |
CapVertexProgramTwoSide |

makeCapability :: EnableCap -> StateVar Capability

makeStateVarMaybe :: IO EnableCap -> IO a -> (a -> IO ()) -> StateVar (Maybe a)

data IndexedEnableCap

Constructors

BlendI |

makeIndexedCapability :: (a -> GLuint) -> IndexedEnableCap -> a -> StateVar Capability